Make phpBB 3.0.12+ compatible with PHP 7.0!
Posted December 14th 2017, 10:37am
ReCAPTCHA 2 is not part of the phpBB 3.0.14 core -- you must have added that yourself as a MOD.

I'm glad you were able to patch it yourself. Your patch will fix the PHP parse error, and if you never update to PHP 7.2, it will be a permanent fix. If you want a permanent fix, you must change the name of the constructor function (which in phpBB 3.0.x is the same name as the class) to the following:

	function __construct()
φ
Posts: 1599
Joined: March 12th 2009, 11:00pm
Location: Uncertain due to momentum
Likes Given: 26
Likes Received: 357
Make phpBB 3.0.12+ compatible with PHP 7.0!
Posted December 20th 2017, 5:48am
where do i that?
φ
Posts: 6
Joined: December 7th 2017, 5:29am
Make phpBB 3.0.12+ compatible with PHP 7.0!
Posted December 20th 2017, 9:12am
done. thank you for help. :)
Merry Christmas and Happy New Year. :)
φ
Posts: 6
Joined: December 7th 2017, 5:29am

Who is online

Users browsing this forum: No registered users and 2 guests